Type to search.

List plugins

Base URL
https://{kibana_url}
  • GET /api/agent_builder/plugins
  • GET /s/{space_id}/api/agent_builder/plugins
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.4 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

List all installed plugins and their managed assets. Plugins are installable packages that bundle agent capabilities such as skills, following the Claude agent plugin specification. To learn more about Agent Builder plugins, refer to the plugins documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Response

200

Indicates a successful response

application/json